//Currently the setBotType event stores and saves the bot type as an object ID.
//If you change the load order, or the datablock count, then the object it is trying to find, has a different ID.
//The updated object ID is not reflected in any saved bricks, so upon loading a save with the setBotType event, the event will break.
//This "fix" stores the bot type as an object "Name".  Which should remain the same between loads.
//However, this "fix" adds minimal lag when you add any event, as it has to check for the setBotType event and change the data it is submitting.
//If this were to be fixed properly, the setBotType event would use a "datablock" field, instead of a "list" field.
//The save function automatically changes datablock field entries into their names upon saving.
//OR the save function could be updated to handle a setBotType event differently, but that would have a similar effect in comparison to the "fix" below.

if($AddOn__Bot_Hole)
{
	if(LoadRequiredAddOn("Bot_Hole") == $Error::None)
	{
		exec("./botfix.cs");
		echo("This add-on will not be automatically updated if Bot_Hole is updated.  Eventually, it will break something.");
	}
	else
	{
		echo("Script_setBotTypeFix - Bot_Hole didn't load.  There is no need for this addon.");
	}
}
else
{
	echo("Script_setBotTypeFix - Bot_Hole isn't enabled.  There is no need for this addon.");
}